Package org.eclipse.birt.report.model.api.simpleapi

# Interface ISortCondition

public interface ISortCondition
Represents the design of an SortCondition in the scripting environment

## Method Summary

Modifier and Type
Method
Description
`String`
`getDirection()`
Returns sort direction.
`String`
`getKey()`
Returns sort key
`IStructure`
`getStructure()`
Returns structure.
`void`
`setDirection(String direction)`
Sets sort direction.
`void`
`setKey(String key)`
Sets sort key.

## Method Details

### getDirection

String getDirection()
Returns sort direction.

Returns:
  sort direction.

### setDirection

void setDirection(String direction) throws SemanticException
Sets sort direction.

- asc
- desc

Parameters:
  `direction` -
Throws:
  `SemanticException`

### getKey

String getKey()
Returns sort key

Returns:
  sort key

### setKey

void setKey(String key) throws SemanticException
Sets sort key.

Parameters:
  `key` -
Throws:
  `SemanticException`

### getStructure

IStructure getStructure()
Returns structure.

Returns:
  structure